# Uses of Class
javassist.CtBehavior

Packages that use CtBehavior
Package
Description
javassist
The Javassist Core API.
javassist.expr
This package contains the classes for modifying a method body.
javassist.tools
Covenient tools.

## Uses of CtBehavior in javassist

Subclasses of CtBehavior in javassist
Modifier and Type
Class
Description
`final class`
`CtConstructor`
An instance of CtConstructor represents a constructor.
`final class`
`CtMethod`
An instance of `CtMethod` represents a method.
Methods in javassist that return CtBehavior
Modifier and Type
Method
Description
`CtBehavior[]`
CtClass.`getDeclaredBehaviors()`
Gets all the constructors and methods declared in the class.
`CtBehavior`
CtClass.`getEnclosingBehavior()`
Returns the immediately enclosing method of this class.

## Uses of CtBehavior in javassist.expr

Methods in javassist.expr that return CtBehavior
Modifier and Type
Method
Description
`CtBehavior`
Cast.`where()`
Returns the method or constructor containing the type cast expression represented by this object.
`CtBehavior`
Expr.`where()`
Returns the constructor or method containing the expression.
`CtBehavior`
FieldAccess.`where()`
Returns the method or constructor containing the field-access expression represented by this object.
`CtBehavior`
Handler.`where()`
Returns the method or constructor containing the catch clause.
`CtBehavior`
Instanceof.`where()`
Returns the method or constructor containing the instanceof expression represented by this object.
`CtBehavior`
MethodCall.`where()`
Returns the method or constructor containing the method-call expression represented by this object.
`CtBehavior`
NewArray.`where()`
Returns the method or constructor containing the array creation represented by this object.
`CtBehavior`
NewExpr.`where()`
Returns the method or constructor containing the `new` expression represented by this object.

## Uses of CtBehavior in javassist.tools

Methods in javassist.tools with parameters of type CtBehavior
Modifier and Type
Method
Description
`static void`
Callback.`insertAfter(CtBehavior behavior, Callback callback)`
Utility method to inserts callback at the end of the body.
`static void`
Callback.`insertAfter(CtBehavior behavior, Callback callback, boolean asFinally)`
Utility method to inserts callback at the end of the body.
`static int`
Callback.`insertAt(CtBehavior behavior, Callback callback, int lineNum)`
Utility method to inserts callback at the specified line in the body.
`static void`
Callback.`insertBefore(CtBehavior behavior, Callback callback)`
Utility method to insert callback at the beginning of the body.